Upcall confirmations¶
You can confirm an advertisement upcall by performing a POST against the upcall confirmations controller resource.
Confirming advertisement upcalls is currently restricted to clients authenticating with client credentials.
These clients should use a token that has the confirm_upcall scope. Read more about this in the
Obtaining an Access Token for a client section of the authentication chapter.
Note
Work in Progress
Fields¶
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
callerPhoneNumber |
string |
– |
yes |
no |
no |
|
calleePhoneNumber |
string |
– |
yes |
no |
no |
|
startTime |
ISO 8601 timestamp |
– |
yes |
no |
no |
|
endTime |
ISO 8601 timestamp |
– |
yes |
no |
no |
callerPhoneNumber
The phone number of the caller.
calleePhoneNumber
The phone number which has been called.
startTime
Time when the call started.
endTime
Time when the call ended.
Reference¶
POST /v2/advertisements/{itemId}/upcall-confirmations
Confirm an advertisement upcall.
Example¶
Confirming an upcall for an advertisement with id 1 :
Request :
POST /v2/advertisements/m1/upcall-confirmations HTTP/1.1 Host: api.marktplaats.nl Content-Type: application/json { "callerPhoneNumber": "0615420879", "calleePhoneNumber": "0113293823", "startTime": "2014-12-02T09:34:21+00:00", "endTime": "2014-12-02T09:34:23+00:00" }Response :
HTTP/1.1 201 Created
Errors¶
http |
error code |
description |
|---|---|---|
404 |
advertisement-not-found |
The advertisement with the provided itemId does not exist. |
500 |
internal-server-error |
Oops! Sorry, something went wrong on our side. |
403 |
unauthorized |
The action you are trying to perform is not allowed. |